aboutsummaryrefslogtreecommitdiffstats
path: root/src/scripts/ci/build.sh
diff options
context:
space:
mode:
authorlloyd <[email protected]>2015-05-11 11:40:36 +0000
committerlloyd <[email protected]>2015-05-11 11:40:36 +0000
commit2c8c47db450cbffa1122a2b9796b7a35588d02b7 (patch)
treeab8e4309785e3f473127b3bcba56257305d8836b /src/scripts/ci/build.sh
parent9426f6d0f4a760c555379c3af642127df7e1456e (diff)
Add coveralls.io support based on GH #91 by cordney
Move the more complex CI logic to scripts instead of yaml
Diffstat (limited to 'src/scripts/ci/build.sh')
-rwxr-xr-xsrc/scripts/ci/build.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/src/scripts/ci/build.sh b/src/scripts/ci/build.sh
new file mode 100755
index 000000000..c0c46a862
--- /dev/null
+++ b/src/scripts/ci/build.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -ev
+
+if [ "$BUILD_MODE" = "static" ]; then
+ CFG_FLAGS="--disabled-shared --via-amalgamation"
+elif [ "$BUILD_MODE" = "shared" ]; then
+ CFG_FLAGS="--build-mode=shared"
+elif [ "$BUILD_MODE" = "coverage" ]; then
+ # lcov gets confused by symlinks
+ CFG_FLAGS="--build-mode=coverage --link-method=copy"
+fi
+
+$CXX --version
+python configure.py $CFG_FLAGS --cc=$CC --cc-bin=$CXX --with-openssl --with-sqlite --with-zlib
+make
+LD_LIBRARY_PATH=. ./botan-test